summaryrefslogtreecommitdiff
path: root/tests/tstunt
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tstunt')
-rwxr-xr-xtests/tstunt/gpg6
-rwxr-xr-xtests/tstunt/gpg-agent6
2 files changed, 12 insertions, 0 deletions
diff --git a/tests/tstunt/gpg b/tests/tstunt/gpg
new file mode 100755
index 0000000..d71aa63
--- /dev/null
+++ b/tests/tstunt/gpg
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+exec \
+$DGIT_TEST_REAL_GPG \
+ --agent-program=$DGIT_STUNT_AGENT \
+ "$@"
diff --git a/tests/tstunt/gpg-agent b/tests/tstunt/gpg-agent
new file mode 100755
index 0000000..96ae839
--- /dev/null
+++ b/tests/tstunt/gpg-agent
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+exec \
+$DGIT_TEST_REAL_GPG_AGENT \
+ --debug-quick-random \
+ "$@"